<?php
defined('ABSPATH') or die("Bye...");
/*
Plugin Name: Meine Kleinanzeigen
Plugin URI: https://anzeigenchef.roundcubes.de/wordpress-integration.html
Description: Zeigt eine Liste Deiner Kleinanzeigen an.
Version: 1.0
Author: SoftwareStack GmbH
Author URI: https://anzeigenchef.roundcubes.de
Text Domain: meine_kleinanzeigen
*/

function meine_kleinanzeigen_add_settings_link( $links ) 
{
    $settings_link = '<a href="admin.php?page=meine_kleinanzeigen">' . __( 'Settings' ) . '</a>';
    array_push( $links, $settings_link );
  	return $links;
}

add_filter( 'plugin_action_links_'.plugin_basename(__FILE__), 'meine_kleinanzeigen_add_settings_link' );

function meine_kleinanzeigen_create_menu() 
{
    add_submenu_page('options-general.php', 'Meine Kleinanzeigen - Einstellungen', 'Meine Kleinanzeigen', 'manage_options', 'meine_kleinanzeigen', 'meine_kleinanzeigen_settings_page', plugins_url("images/px.png", __FILE__), 1001);
	add_action( 'admin_init', 'register_meine_kleinanzeigen_settings' );
}

add_action('admin_menu', 'meine_kleinanzeigen_create_menu');

function register_meine_kleinanzeigen_settings() 
{
	register_setting( 'meine_kleinanzeigen-settings', 'link' );
	register_setting( 'meine_kleinanzeigen-settings', 'link2' );
	register_setting( 'meine_kleinanzeigen-settings', 'link3' );
	register_setting( 'meine_kleinanzeigen-settings', 'locations' );
}

function meine_kleinanzeigen_settings_page() 
{
	if (!empty(get_option('link')))
		$res = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_register.php?url='.urlencode(get_option('link')).'&page='.urlencode(get_site_url()), array('sslverify' => false)) );

	if (!empty(get_option('link2')))
		$res = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_register.php?url='.urlencode(get_option('link2')).'&page='.urlencode(get_site_url()), array('sslverify' => false)) );

	if (!empty(get_option('link3')))
		$res = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_register.php?url='.urlencode(get_option('link3')).'&page='.urlencode(get_site_url()), array('sslverify' => false)) );

	?>
	<div class="wrap">
		<h1>Meine Kleinanzeigen</h1>
		<p>Damit Deine Anzeigen eingelesen werden können, benötigt das Plugin die Nutzer ID, welche Kleinanzeigen vergeben hat. Klicke hierzu im AnzeigenChef auf "Einstellungen", mache einen Doppelklick auf das gewünschte Konto und notiere die angezeigte ID (siehe Screenshot). Falls Du noch kein AnzeigenChef-Kunde bist, <a href="https://anzeigenchef.roundcubes.de" target=_blank>klicke hier</a>.</p>
		<img src="<?php echo plugin_dir_url( __FILE__ ); ?>images/account.png" style="max-width: 600px">
		<p style="margin-top: 22px">Du kannst hier bis zu drei IDs hinterlegen und über den Shortcut entsprechend auf Deinen Seiten einbinden.</p>
		<form method="post" action="options.php">
			<?php settings_fields( 'meine_kleinanzeigen-settings' ); ?>
			<?php do_settings_sections( 'meine_kleinanzeigen-settings' ); ?>
			<table class="form-table">
				<tr valign="top">
					<th scope="row">1. Benutzer-ID<br/></th>
					<td>
						<input style="min-width: 220px" type="text" name="link" placeholder="z.B. 100299384" id="link" value="<?php echo esc_attr( get_option('link') ); ?>" />
						<br/><pre style="padding: 7px; overflow: auto;"><code>[meine_kleinanzeigen]</code> </pre>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">2. Benutzer-ID</th>
					<td>
						<input style="min-width: 220px" type="text" name="link2" placeholder="z.B. 100299384" id="link2" value="<?php echo esc_attr( get_option('link2') ); ?>" />
						<br/><pre style="padding: 7px; overflow: auto;"><code>[meine_kleinanzeigen_2]</code> </pre>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">3. Benutzer-ID</th>
					<td>
						<input style="min-width: 220px" type="text" name="link3" placeholder="z.B. 100299384" id="link3" value="<?php echo esc_attr( get_option('link3') ); ?>" />
						<br/><pre style="padding: 7px; overflow: auto;"><code>[meine_kleinanzeigen_3]</code> </pre>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">Weitere Einstellungen</th>
					<td>
						<fieldset><label for="locations">
							<input name="locations" type="checkbox" id="locations" value="1" <?php if (get_option('locations') == "1") echo "checked"; ?>>
							Artikelstandort nicht anzeigen</label>
						</fieldset>
					</td>
				</tr>
			</table>
			<?php submit_button(); ?>
		</form> 

		<div style="background: #D7E7F5; border: 1px solid #1166BB; color: #333333; margin: 20px 0; padding: 10px;">
			Nach dem speichern werden Deine Anzeigen von uns aktualisiert. <b>Dieser Vorgang kann einige Minuten dauern</b>. Deine Anzeigen werden auf unseren Servern zwischengespeichert. Personenbezogene Daten werden nicht gespeichert. Deine Shop URL wird an uns übermittelt. Bitte beachte, dass beim entfernen des Sponsor-Hinweises der Dienst von uns deaktiviert wird.
		</div>	
	</div>
	<?php 
} 

register_uninstall_hook( __FILE__, 'meine_kleinanzeigen_uninstall' );

function meine_kleinanzeigen_uninstall()  
{
	$res = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_unregister.php?url='.urlencode(get_option('link')).'&page='.urlencode(get_site_url()), array('sslverify' => false)) );
	$res = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_unregister.php?url='.urlencode(get_option('link2')).'&page='.urlencode(get_site_url()), array('sslverify' => false)) );
	$res = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_unregister.php?url='.urlencode(get_option('link3')).'&page='.urlencode(get_site_url()), array('sslverify' => false)) );
}

add_shortcode( 'meine_kleinanzeigen', 'meine_kleinanzeigen_func' ); 

function meine_kleinanzeigen_func()
{
	register_setting( 'meine_kleinanzeigen-settings', 'link' );
	register_setting( 'meine_kleinanzeigen-settings', 'locations' );
	
	$link = get_option('link');
	$loc = get_option('locations');
	 
    $js = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_get_ads.php?view=0&loc='.$loc.'&url='.urlencode($link), array('sslverify' => false)) );  
	
    return $js; 
}

add_shortcode( 'meine_kleinanzeigen_2', 'meine_kleinanzeigen_2_func' ); 

function meine_kleinanzeigen_2_func()
{
	register_setting( 'meine_kleinanzeigen-settings', 'link2' );
	register_setting( 'meine_kleinanzeigen-settings', 'locations' );
	
	$link = get_option('link2');
	$loc = get_option('locations');
	 
    $js = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_get_ads.php?view=0&loc='.$loc.'&url='.urlencode($link), array('sslverify' => false)) );  
	
    return $js; 
}

add_shortcode( 'meine_kleinanzeigen_3', 'meine_kleinanzeigen_3_func' ); 

function meine_kleinanzeigen_3_func()
{
	register_setting( 'meine_kleinanzeigen-settings', 'link3' );
	register_setting( 'meine_kleinanzeigen-settings', 'locations' );
	
	$link = get_option('link3');
	$loc = get_option('locations');
	 
    $js = wp_remote_retrieve_body( wp_remote_get('https://roundcubes.net/wp_plugin_get_ads.php?view=0&loc='.$loc.'&url='.urlencode($link), array('sslverify' => false)) );  
	
    return $js; 
}

function wpse_load_plugin_css() 
{
    $plugin_url = plugin_dir_url( __FILE__ );
    wp_enqueue_style( 'style', $plugin_url . 'css/style.css' );
}

add_action( 'wp_enqueue_scripts', 'wpse_load_plugin_css' );

?>